﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MovementTut : templateTut
{
    [SerializeField]
    private DetectiveScript detectiveCheck;
    bool moving = false;
    private void Update()
    {
        nextStage = 1;
        if(eventSetting == TStatus.InProgress)
        {
            //check to see when the detective starts moving
            if(detectiveCheck.checkMovement() && !moving)
            {
                //sets the bool to true, allowing the script to know when the detective stops moving 
                moving = true;
            }
            //check to see when the detective stops moving after they started
            if(!detectiveCheck.checkMovement() && moving)
            {
                //completes the tutorial
                eventSetting = TStatus.Completing;
            }
        }
    }
}
